#!/bin/bash
# by F. Ricca 

echo -n "Creating/Replacing result folder..." 1>&2
rm -rf result 2>/dev/null
mkdir result
echo done 1>&2

while read l; do 

name=`echo $l | sed 's/domain(\"//g' | sed 's/\".*//g'`

echo "Processing $name.." 1>&2

echo "$l" > .tmp

echo -n "Selecting...." 1>&2
clingo .tmp optimization.txt  runtime2015.asp  runtimeNewDomains.cl+ws.txt select.lp --rand-freq=1 --sign-def=3 --seed=619232527 --outf=1 | grep select > .res 2>/dev/null 
echo done  1>&2

echo "Extracting results..." 1>&2 
cat .res | tr " " "\n" | grep select | sed 's/select("\(.*\)".*/\1/g' > result/$name.instances.competition
echo -n "Stats $name: "
cat .res | tr " " "\n" | egrep "easy|medium|hard|very|count" | tr "\n" " "  
echo ""
echo ".. extraction done" 1>&2

done < domain.txt


